www.cendio.com
Bug 5152 - identify "our" pkcs11 module better
: identify "our" pkcs11 module better
Status: CLOSED FIXED
: ThinLinc
Client
: trunk
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-05-20 13:38 by
Modified: 2014-10-06 16:09 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-05-20 13:38:29
We should change the strings in the OpenSC module we ship with ThinLinc to
clearly identify it is our version. It can avoid confusion in support issues if
the user is using another version of OpenSC.

We should also make tlclient print these strings to the log, so they're easily
available.
------- Comment #1 From cendio 2014-06-19 13:23:24 -------
Fixed in r29086 and r29087.
------- Comment #2 From cendio 2014-09-25 11:24:32 -------
Verified using ThinLinc client build 4501.

tlclient.log:

2014-09-25T11:20:32: Log file created
2014-09-25T11:20:32: ThinLinc client release 4.2.0post build 4501
2014-09-25T11:20:33: Loaded PKCS#11 module
'/opt/thinlinc/lib/tlclient/opensc-pkcs11.so'
2014-09-25T11:20:33: Manufacturer: Cendio AB (based on OpenSC)
2014-09-25T11:20:33: Library description: ThinLinc 4.2.0post 4501
2014-09-25T11:20:34: Log file ended